WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core20
2769
usr
bin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-02-11 00:21:13
-
[
File
58.34 KB
0755
2019-09-05 10:38:40
aa-enabled
File
30.52 KB
0755
2024-03-06 18:40:00
aa-exec
File
34.52 KB
0755
2024-03-06 18:40:00
addpart
File
30.23 KB
0755
2024-04-09 15:34:13
arch
File
38.37 KB
0755
2019-09-05 10:38:40
awk
File
158.74 KB
0755
2020-02-16 19:41:09
b2sum
File
58.37 KB
0755
2019-09-05 10:38:40
base32
File
42.34 KB
0755
2019-09-05 10:38:40
base64
File
42.34 KB
0755
2019-09-05 10:38:40
basename
File
38.34 KB
0755
2019-09-05 10:38:40
bash
File
1.13 MB
0755
2022-04-18 09:14:46
bashbug
File
6.63 KB
0755
2022-04-18 09:14:46
bootctl
File
62.34 KB
0755
2025-06-02 20:05:57
bunzip2
File
38.23 KB
0755
2019-09-05 15:05:14
busctl
File
86.34 KB
0755
2025-06-02 20:05:57
bzcat
File
38.23 KB
0755
2019-09-05 15:05:14
bzcmp
File
2.17 KB
0755
2019-09-05 15:05:14
bzdiff
File
2.17 KB
0755
2019-09-05 15:05:14
bzegrep
File
3.69 KB
0755
2019-09-05 15:05:14
bzexe
File
4.76 KB
0755
2019-09-04 13:22:31
bzfgrep
File
3.69 KB
0755
2019-09-05 15:05:14
bzgrep
File
3.69 KB
0755
2019-09-05 15:05:14
bzip2
File
38.23 KB
0755
2019-09-05 15:05:14
bzip2recover
File
18.15 KB
0755
2019-09-05 15:05:14
bzless
File
1.27 KB
0755
2019-09-05 15:05:14
bzmore
File
1.27 KB
0755
2019-09-05 15:05:14
c_rehash
File
6.65 KB
0755
2026-01-14 18:53:45
captoinfo
File
90.41 KB
0755
2023-05-16 18:47:48
cat
File
42.4 KB
0755
2019-09-05 10:38:40
catchsegv
File
3.26 KB
0755
2026-01-30 08:05:14
cautious-launcher
File
853 B
0755
2019-10-18 23:05:50
chage
File
82.53 KB
2755
2024-02-06 12:49:54
chardet3
File
389 B
0755
2019-12-17 12:31:30
chardetect3
File
389 B
0755
2019-12-17 12:31:30
chattr
File
14.31 KB
0755
2023-10-09 01:56:01
chcon
File
70.34 KB
0755
2019-09-05 10:38:40
chfn
File
83.07 KB
4755
2024-02-06 12:49:54
chgrp
File
70.34 KB
0755
2019-09-05 10:38:40
chmod
File
62.37 KB
0755
2019-09-05 10:38:40
choom
File
50.23 KB
0755
2024-04-09 15:34:13
chown
File
70.34 KB
0755
2019-09-05 10:38:40
chrt
File
38.23 KB
0755
2024-04-09 15:34:13
chsh
File
51.8 KB
4755
2024-02-06 12:49:54
cksum
File
38.34 KB
0755
2019-09-05 10:38:40
clear
File
14.31 KB
0755
2023-05-16 18:47:48
clear_console
File
14.23 KB
0755
2022-04-18 09:14:46
cloud-id
File
396 B
0755
2025-06-25 15:09:01
cloud-init
File
400 B
0755
2025-06-25 15:09:01
cloud-init-per
File
2.06 KB
0755
2025-01-15 15:24:11
cmp
File
50.09 KB
0755
2019-04-08 12:04:00
comm
File
42.37 KB
0755
2019-09-05 10:38:40
compose
File
18.05 KB
0755
2019-10-18 23:05:50
console-conf
File
406 B
0755
2020-04-20 14:31:39
core-sshd-host-keygen
File
1.49 KB
0755
2026-02-11 00:16:01
cp
File
150.37 KB
0755
2019-09-05 10:38:40
csplit
File
54.37 KB
0755
2019-09-05 10:38:40
ctstat
File
30.51 KB
0755
2020-02-13 17:21:59
cut
File
46.37 KB
0755
2019-09-05 10:38:40
cvtsudoers
File
266.7 KB
0755
2025-06-25 20:10:55
dash
File
126.77 KB
0755
2019-07-18 18:15:27
date
File
106.37 KB
0755
2019-09-05 10:38:40
dbus-cleanup-sockets
File
14.14 KB
0755
2022-10-25 13:09:26
dbus-daemon
File
243.2 KB
0755
2022-10-25 13:09:26
dbus-monitor
File
30.14 KB
0755
2022-10-25 13:09:26
dbus-run-session
File
14.14 KB
0755
2022-10-25 13:09:26
dbus-send
File
30.14 KB
0755
2022-10-25 13:09:26
dbus-update-activation-environment
File
14.14 KB
0755
2022-10-25 13:09:26
dbus-uuidgen
File
14.14 KB
0755
2022-10-25 13:09:26
dd
File
78.38 KB
0755
2019-09-05 10:38:40
deb-systemd-helper
File
20.83 KB
0755
2019-06-21 18:56:55
deb-systemd-invoke
File
4.33 KB
0755
2019-06-21 18:56:55
delpart
File
30.23 KB
0755
2024-04-09 15:34:13
df
File
90.95 KB
0755
2019-09-05 10:38:40
dh_bash-completion
File
2.39 KB
0755
2020-01-26 03:42:18
diff
File
214.34 KB
0755
2019-04-08 12:04:00
diff3
File
66.21 KB
0755
2019-04-08 12:04:00
dir
File
138.81 KB
0755
2019-09-05 10:38:40
dircolors
File
46.34 KB
0755
2019-09-05 10:38:40
dirname
File
38.34 KB
0755
2019-09-05 10:38:40
dmesg
File
82.46 KB
0755
2024-04-09 15:34:13
dnsdomainname
File
26.23 KB
0755
2019-11-07 11:31:36
domainname
File
26.23 KB
0755
2019-11-07 11:31:36
dpkg-deb
File
174.54 KB
0755
2022-05-25 11:14:20
du
File
106.37 KB
0755
2019-09-05 10:38:40
ec2metadata
File
7.12 KB
0755
2020-02-25 20:41:21
echo
File
38.34 KB
0755
2019-09-05 10:38:40
edit
File
18.05 KB
0755
2019-10-18 23:05:50
editor
File
1.29 MB
0755
2025-04-02 16:39:51
egrep
File
28 B
0755
2020-01-29 09:31:53
env
File
42.34 KB
0755
2019-09-05 10:38:40
ex
File
1.29 MB
0755
2025-04-02 16:39:51
expand
File
42.37 KB
0755
2019-09-05 10:38:40
expiry
File
30.58 KB
2755
2024-02-06 12:49:54
expr
File
54.34 KB
0755
2019-09-05 10:38:40
factor
File
78.37 KB
0755
2019-09-05 10:38:40
faillog
File
22.59 KB
0755
2024-02-06 12:49:54
fallocate
File
34.23 KB
0755
2024-04-09 15:34:13
false
File
38.34 KB
0755
2019-09-05 10:38:40
fgrep
File
28 B
0755
2020-01-29 09:31:53
file
File
26.47 KB
0755
2020-01-16 20:39:11
finalrd
File
2.1 KB
0755
2020-09-10 14:53:09
fincore
File
34.27 KB
0755
2024-04-09 15:34:13
find
File
312.66 KB
0755
2020-02-18 01:05:59
findmnt
File
71.41 KB
0755
2024-04-09 15:34:13
flock
File
34.3 KB
0755
2024-04-09 15:34:13
fmt
File
46.34 KB
0755
2019-09-05 10:38:40
fold
File
42.34 KB
0755
2019-09-05 10:38:40
free
File
26.23 KB
0755
2023-10-31 11:35:56
gdbserver
File
509.55 KB
0755
2024-06-13 02:43:41
getconf
File
34.29 KB
0755
2026-01-30 08:05:14
getent
File
38.65 KB
0755
2026-01-30 08:05:14
getopt
File
22.23 KB
0755
2024-04-09 15:34:13
gpasswd
File
86.39 KB
4755
2024-02-06 12:49:54
gpgv
File
447.15 KB
0755
2026-01-05 22:19:03
grep
File
194.47 KB
0755
2020-01-29 09:31:53
groups
File
38.34 KB
0755
2019-09-05 10:38:40
growpart
File
23.95 KB
0755
2020-02-25 20:41:21
gunzip
File
2.29 KB
0755
2022-04-08 11:05:45
gzexe
File
6.3 KB
0755
2022-04-08 11:05:45
gzip
File
95.21 KB
0755
2022-04-08 11:05:45
head
File
46.37 KB
0755
2019-09-05 10:38:40
helpztags
File
2.46 KB
0755
2024-09-04 03:09:54
hostid
File
38.34 KB
0755
2019-09-05 10:38:40
hostname
File
26.23 KB
0755
2019-11-07 11:31:36
hostnamectl
File
26.22 KB
0755
2025-06-02 20:05:57
i386
File
26.5 KB
0755
2024-04-09 15:34:13
iconv
File
66.41 KB
0755
2026-01-30 08:05:14
id
File
46.37 KB
0755
2019-09-05 10:38:40
infocmp
File
62.38 KB
0755
2023-05-16 18:47:48
infotocap
File
90.41 KB
0755
2023-05-16 18:47:48
install
File
154.41 KB
0755
2019-09-05 10:38:40
ionice
File
30.23 KB
0755
2024-04-09 15:34:13
ip
File
597.62 KB
0755
2020-02-13 17:21:59
ipcmk
File
34.3 KB
0755
2024-04-09 15:34:13
ipcrm
File
34.23 KB
0755
2024-04-09 15:34:13
ipcs
File
66.23 KB
0755
2024-04-09 15:34:13
iptables-xml
File
96.97 KB
0755
2023-05-09 18:39:57
ischroot
File
14.2 KB
0755
2019-12-07 02:13:44
join
File
54.37 KB
0755
2019-09-05 10:38:40
journalctl
File
78.24 KB
0755
2025-06-02 20:05:57
jsondiff
File
1004 B
0755
2019-09-05 13:01:23
jsonpatch
File
3.58 KB
0755
2019-09-05 13:01:23
jsonpatch-jsondiff
File
1004 B
0755
2019-09-05 13:01:23
jsonpointer
File
1.79 KB
0755
2020-01-24 03:25:15
jsonschema
File
397 B
0755
2020-01-23 18:44:38
kernel-install
File
5.07 KB
0755
2020-04-01 17:23:42
kill
File
30.23 KB
0755
2023-10-31 11:35:56
kmod
File
170.34 KB
0755
2022-01-28 14:49:50
kmodsign
File
22.29 KB
0755
2022-03-10 19:41:04
last
File
50.23 KB
0755
2024-04-09 15:34:13
lastb
File
50.23 KB
0755
2024-04-09 15:34:13
lastlog
File
31.66 KB
0755
2024-02-06 12:49:54
lcf
File
7.6 KB
0755
2018-12-14 08:51:14
ldd
File
5.31 KB
0755
2026-01-30 08:05:14
less
File
175.84 KB
0755
2024-04-28 11:42:44
lessecho
File
14.31 KB
0755
2024-04-28 11:42:44
lessfile
File
8.36 KB
0755
2019-09-03 04:41:52
lesskey
File
23.72 KB
0755
2024-04-28 11:42:44
lesspipe
File
8.36 KB
0755
2019-09-03 04:41:52
link
File
38.34 KB
0755
2019-09-05 10:38:40
linux32
File
26.5 KB
0755
2024-04-09 15:34:13
linux64
File
26.5 KB
0755
2024-04-09 15:34:13
ln
File
74.38 KB
0755
2019-09-05 10:38:40
lnstat
File
30.51 KB
0755
2020-02-13 17:21:59
locale
File
57.56 KB
0755
2026-01-30 08:05:14
locale-check
File
14.16 KB
0755
2024-01-02 17:12:43
localectl
File
26.22 KB
0755
2025-06-02 20:05:57
localedef
File
326.96 KB
0755
2026-01-30 08:05:14
logger
File
50.82 KB
0755
2024-04-09 15:34:13
login
File
55.77 KB
0755
2024-02-06 12:49:54
loginctl
File
58.34 KB
0755
2025-06-02 20:05:57
logname
File
38.34 KB
0755
2019-09-05 10:38:40
ls
File
138.81 KB
0755
2019-09-05 10:38:40
lsattr
File
14.31 KB
0755
2023-10-09 01:56:01
lsblk
File
130.23 KB
0755
2024-04-09 15:34:13
lscpu
File
98.23 KB
0755
2024-04-09 15:34:13
lsipc
File
94.23 KB
0755
2024-04-09 15:34:13
lslocks
File
38.55 KB
0755
2024-04-09 15:34:13
lslogins
File
66.23 KB
0755
2024-04-09 15:34:13
lsmem
File
66.23 KB
0755
2024-04-09 15:34:13
lsmod
File
170.34 KB
0755
2022-01-28 14:49:50
lsns
File
50.23 KB
0755
2024-04-09 15:34:13
man
File
128 B
0755
2026-02-11 00:16:01
mawk
File
158.74 KB
0755
2020-02-16 19:41:09
mcookie
File
34.3 KB
0755
2024-04-09 15:34:13
md5sum
File
46.37 KB
0755
2019-09-05 10:38:40
md5sum.textutils
File
46.37 KB
0755
2019-09-05 10:38:40
mesg
File
14.23 KB
0755
2024-04-09 15:34:13
miniterm
File
34.28 KB
0755
2020-02-03 16:29:07
mkdir
File
86.34 KB
0755
2019-09-05 10:38:40
mkfifo
File
66.34 KB
0755
2019-09-05 10:38:40
mknod
File
70.34 KB
0755
2019-09-05 10:38:40
mksquashfs
File
205.96 KB
0755
2021-10-12 00:36:41
mkswapfile
File
865 B
0755
2026-02-11 00:16:01
mktemp
File
46.34 KB
0755
2019-09-05 10:38:40
more
File
42.15 KB
0755
2024-04-09 15:34:13
mount
File
54.23 KB
4755
2024-04-09 15:34:13
mountpoint
File
14.23 KB
0755
2024-04-09 15:34:13
mv
File
146.38 KB
0755
2019-09-05 10:38:40
namei
File
34.23 KB
0755
2024-04-09 15:34:13
nawk
File
158.74 KB
0755
2020-02-16 19:41:09
nc
File
42.64 KB
0755
2020-03-09 18:50:15
nc.openbsd
File
42.64 KB
0755
2020-03-09 18:50:15
netcat
File
42.64 KB
0755
2020-03-09 18:50:15
networkctl
File
74.23 KB
0755
2025-06-02 20:05:57
newgrp
File
43.73 KB
4755
2024-02-06 12:49:54
nice
File
42.34 KB
0755
2019-09-05 10:38:40
nisdomainname
File
26.23 KB
0755
2019-11-07 11:31:36
nl
File
42.43 KB
0755
2019-09-05 10:38:40
nohup
File
42.34 KB
0755
2019-09-05 10:38:40
nproc
File
42.34 KB
0755
2019-09-05 10:38:40
nsenter
File
34.43 KB
0755
2024-04-09 15:34:13
nstat
File
78.23 KB
0755
2020-02-13 17:21:59
numfmt
File
66.4 KB
0755
2019-09-05 10:38:40
od
File
70.37 KB
0755
2019-09-05 10:38:40
openssl
File
735.68 KB
0755
2026-01-14 18:53:45
p11-kit
File
34.39 KB
0755
2021-01-04 19:04:11
p11tool
File
359.38 KB
0755
2025-09-08 16:05:22
pager
File
175.84 KB
0755
2024-04-28 11:42:44
partx
File
118.23 KB
0755
2024-04-09 15:34:13
passwd
File
66.61 KB
4755
2024-02-06 12:49:54
paste
File
42.37 KB
0755
2019-09-05 10:38:40
pathchk
File
38.34 KB
0755
2019-09-05 10:38:40
pdb3
File
61.27 KB
0755
2026-01-27 20:16:27
pdb3.8
File
61.27 KB
0755
2026-01-27 20:16:27
perl
File
3.32 MB
0755
2023-11-23 15:02:19
perl5.30.0
File
3.32 MB
0755
2023-11-23 15:02:19
pgrep
File
30.24 KB
0755
2023-10-31 11:35:56
pidof
File
26.38 KB
0755
2020-02-13 18:38:21
ping
File
71.07 KB
0755
2022-09-13 19:06:15
ping4
File
71.07 KB
0755
2022-09-13 19:06:15
ping6
File
71.07 KB
0755
2022-09-13 19:06:15
pinky
File
42.37 KB
0755
2019-09-05 10:38:40
pkcs11-tool
File
152.77 KB
0755
2025-04-09 03:19:18
pkill
File
30.24 KB
0755
2023-10-31 11:35:56
pldd
File
22.37 KB
0755
2026-01-30 08:05:14
pmap
File
34.24 KB
0755
2023-10-31 11:35:56
pr
File
74.43 KB
0755
2019-09-05 10:38:40
print
File
18.05 KB
0755
2019-10-18 23:05:50
printenv
File
38.34 KB
0755
2019-09-05 10:38:40
printf
File
58.34 KB
0755
2019-09-05 10:38:40
prlimit
File
38.74 KB
0755
2024-04-09 15:34:13
ps
File
134.46 KB
0755
2023-10-31 11:35:56
ptx
File
78.4 KB
0755
2019-09-05 10:38:40
pwd
File
42.34 KB
0755
2019-09-05 10:38:40
pwdx
File
14.23 KB
0755
2023-10-31 11:35:56
py3clean
File
7.63 KB
0755
2020-03-13 12:20:20
py3compile
File
11.84 KB
0755
2020-03-13 12:20:20
py3versions
File
11.44 KB
0755
2020-03-13 12:20:20
pydoc3
File
79 B
0755
2026-01-27 20:16:27
pydoc3.8
File
79 B
0755
2026-01-27 20:16:27
pygettext3
File
21.03 KB
0755
2026-01-27 20:16:27
pygettext3.8
File
21.03 KB
0755
2026-01-27 20:16:27
pyjwt3
File
372 B
0755
2022-07-19 05:41:38
python3
File
5.23 MB
0755
2026-01-27 20:16:27
python3.8
File
5.23 MB
0755
2026-01-27 20:16:27
rbash
File
1.13 MB
0755
2022-04-18 09:14:46
rcp
File
114.3 KB
0755
2025-04-11 12:16:08
rdma
File
130.23 KB
0755
2020-02-13 17:21:59
readlink
File
50.34 KB
0755
2019-09-05 10:38:40
realpath
File
50.37 KB
0755
2019-09-05 10:38:40
rename.ul
File
22.23 KB
0755
2024-04-09 15:34:13
renice
File
14.23 KB
0755
2024-04-09 15:34:13
reset
File
30.31 KB
0755
2023-05-16 18:47:48
resizepart
File
62.23 KB
0755
2024-04-09 15:34:13
resolvectl
File
126.38 KB
0755
2025-06-02 20:05:57
rev
File
14.23 KB
0755
2024-04-09 15:34:13
rgrep
File
30 B
0755
2020-01-16 15:27:20
rlogin
File
774.95 KB
0755
2025-04-11 12:16:08
rm
File
70.37 KB
0755
2019-09-05 10:38:40
rmdir
File
46.34 KB
0755
2019-09-05 10:38:40
routef
File
208 B
0755
2020-02-13 17:21:59
routel
File
1.62 KB
0755
2020-02-13 17:21:59
rsh
File
774.95 KB
0755
2025-04-11 12:16:08
rtstat
File
30.51 KB
0755
2020-02-13 17:21:59
run-mailcap
File
18.05 KB
0755
2019-10-18 23:05:50
run-parts
File
26.51 KB
0755
2019-12-07 02:13:44
runcon
File
38.34 KB
0755
2019-09-05 10:38:40
rview
File
1.29 MB
0755
2025-04-02 16:39:51
savelog
File
10.24 KB
0755
2019-12-07 02:13:44
sbattach
File
58.48 KB
0755
2022-03-10 19:41:04
sbkeysync
File
66.7 KB
0755
2022-03-10 19:41:04
sbsiglist
File
58.55 KB
0755
2022-03-10 19:41:04
sbsign
File
58.55 KB
0755
2022-03-10 19:41:04
sbvarsign
File
66.61 KB
0755
2022-03-10 19:41:04
sbverify
File
62.48 KB
0755
2022-03-10 19:41:04
scp
File
114.3 KB
0755
2025-04-11 12:16:08
script
File
54.23 KB
0755
2024-04-09 15:34:13
scriptreplay
File
30.23 KB
0755
2024-04-09 15:34:13
sdiff
File
50.09 KB
0755
2019-04-08 12:04:00
sed
File
118.45 KB
0755
2018-12-22 14:24:04
see
File
18.05 KB
0755
2019-10-18 23:05:50
select-editor
File
2.38 KB
0755
2019-11-17 12:21:22
sensible-browser
File
1.2 KB
0755
2019-11-17 12:21:22
sensible-editor
File
1.14 KB
0755
2019-11-17 12:21:22
sensible-pager
File
452 B
0755
2019-11-17 12:21:22
seq
File
50.34 KB
0755
2019-09-05 10:38:40
setarch
File
26.5 KB
0755
2024-04-09 15:34:13
setpriv
File
46.23 KB
0755
2024-04-09 15:34:13
setsid
File
14.23 KB
0755
2024-04-09 15:34:13
setterm
File
46.23 KB
0755
2024-04-09 15:34:13
sftp
File
166.51 KB
0755
2025-04-11 12:16:08
sg
File
43.73 KB
4755
2024-02-06 12:49:54
sh
File
126.77 KB
0755
2019-07-18 18:15:27
sha1sum
File
50.37 KB
0755
2019-09-05 10:38:40
sha224sum
File
58.37 KB
0755
2019-09-05 10:38:40
sha256sum
File
58.37 KB
0755
2019-09-05 10:38:40
sha384sum
File
66.37 KB
0755
2019-09-05 10:38:40
sha512sum
File
66.37 KB
0755
2019-09-05 10:38:40
shred
File
62.37 KB
0755
2019-09-05 10:38:40
shuf
File
58.34 KB
0755
2019-09-05 10:38:40
skill
File
30.23 KB
0755
2023-10-31 11:35:56
slabtop
File
22.23 KB
0755
2023-10-31 11:35:56
sleep
File
38.34 KB
0755
2019-09-05 10:38:40
slogin
File
774.95 KB
0755
2025-04-11 12:16:08
snap
File
22.43 MB
0755
2026-06-29 12:01:19
snapctl
File
0 B
0
1970-01-01 00:00:00
snice
File
30.23 KB
0755
2023-10-31 11:35:56
sort
File
114.63 KB
0755
2019-09-05 10:38:40
split
File
58.77 KB
0755
2019-09-05 10:38:40
ss
File
164.84 KB
0755
2020-02-13 17:21:59
ssh
File
774.95 KB
0755
2025-04-11 12:16:08
ssh-add
File
362.28 KB
0755
2025-04-11 12:16:08
ssh-agent
File
342.29 KB
2755
2025-04-11 12:16:08
ssh-argv0
File
1.42 KB
0755
2023-04-03 22:47:13
ssh-copy-id
File
10.41 KB
0755
2020-02-14 00:40:54
ssh-keygen
File
466.3 KB
0755
2025-04-11 12:16:08
ssh-keyscan
File
454.3 KB
0755
2025-04-11 12:16:08
stat
File
86.37 KB
0755
2019-09-05 10:38:40
stdbuf
File
50.34 KB
0755
2019-09-05 10:38:40
stty
File
82.37 KB
0755
2019-09-05 10:38:40
su
File
66.23 KB
4755
2024-04-09 15:34:13
sudo
File
162.16 KB
4755
2025-06-25 20:10:55
sudoedit
File
162.16 KB
4755
2025-06-25 20:10:55
sudoreplay
File
63 KB
0755
2025-06-25 20:10:55
sum
File
46.34 KB
0755
2019-09-05 10:38:40
sync
File
38.34 KB
0755
2019-09-05 10:38:40
systemctl
File
973.23 KB
0755
2025-06-02 20:05:57
systemd
File
1.55 MB
0755
2023-03-02 12:58:02
systemd-analyze
File
1.51 MB
0755
2025-06-02 20:05:57
systemd-ask-password
File
14.34 KB
0755
2025-06-02 20:05:57
systemd-cat
File
18.23 KB
0755
2025-06-02 20:05:57
systemd-cgls
File
22.33 KB
0755
2025-06-02 20:05:57
systemd-cgtop
File
38.24 KB
0755
2025-06-02 20:05:57
systemd-delta
File
26.22 KB
0755
2025-06-02 20:05:57
systemd-detect-virt
File
18.22 KB
0755
2025-06-02 20:05:57
systemd-escape
File
22.22 KB
0755
2025-06-02 20:05:57
systemd-hwdb
File
106.52 KB
0755
2025-06-02 20:05:57
systemd-id128
File
22.22 KB
0755
2025-06-02 20:05:57
systemd-inhibit
File
22.24 KB
0755
2025-06-02 20:05:57
systemd-machine-id-setup
File
26.32 KB
0755
2025-06-02 20:05:57
systemd-mount
File
50.45 KB
0755
2025-06-02 20:05:57
systemd-notify
File
18.23 KB
0755
2025-06-02 20:05:57
systemd-path
File
18.22 KB
0755
2025-06-02 20:05:57
systemd-resolve
File
126.38 KB
0755
2025-06-02 20:05:57
systemd-run
File
58.42 KB
0755
2025-06-02 20:05:57
systemd-socket-activate
File
26.22 KB
0755
2025-06-02 20:05:57
systemd-stdio-bridge
File
22.23 KB
0755
2025-06-02 20:05:57
systemd-sysusers
File
54.52 KB
0755
2025-06-02 20:05:57
systemd-tmpfiles
File
86.41 KB
0755
2025-06-02 20:05:57
systemd-tty-ask-password-agent
File
30.22 KB
0755
2025-06-02 20:05:57
systemd-umount
File
50.45 KB
0755
2025-06-02 20:05:57
tabs
File
18.3 KB
0755
2023-05-16 18:47:48
tac
File
42.34 KB
0755
2019-09-05 10:38:40
tail
File
70.4 KB
0755
2019-09-05 10:38:40
tar
File
437.61 KB
0755
2023-12-05 05:16:50
taskset
File
34.23 KB
0755
2024-04-09 15:34:13
tee
File
42.37 KB
0755
2019-09-05 10:38:40
tempfile
File
14.02 KB
0755
2019-12-07 02:13:44
test
File
54.34 KB
0755
2019-09-05 10:38:40
tic
File
90.41 KB
0755
2023-05-16 18:47:48
timedatectl
File
815 B
0755
2026-02-11 00:19:04
timedatectl.real
File
46.22 KB
0755
2025-06-02 20:05:57
timeout
File
42.77 KB
0755
2019-09-05 10:38:40
tload
File
22.24 KB
0755
2023-10-31 11:35:56
toe
File
22.3 KB
0755
2023-05-16 18:47:48
top
File
126.05 KB
0755
2023-10-31 11:35:56
touch
File
98.37 KB
0755
2019-09-05 10:38:40
tput
File
26.34 KB
0755
2023-05-16 18:47:48
tr
File
50.34 KB
0755
2019-09-05 10:38:40
true
File
38.34 KB
0755
2019-09-05 10:38:40
truncate
File
42.34 KB
0755
2019-09-05 10:38:40
tset
File
30.31 KB
0755
2023-05-16 18:47:48
tsort
File
42.34 KB
0755
2019-09-05 10:38:40
tty
File
38.34 KB
0755
2019-09-05 10:38:40
tzselect
File
15.02 KB
0755
2026-01-30 08:05:14
ucf
File
39.73 KB
0755
2018-12-14 08:51:14
ucfq
File
18.91 KB
0755
2018-12-14 08:51:14
ucfr
File
10.47 KB
0755
2018-12-14 08:51:14
udevadm
File
931.2 KB
0755
2025-06-02 20:05:57
umount
File
38.23 KB
4755
2024-04-09 15:34:13
uname
File
38.37 KB
0755
2019-09-05 10:38:40
uncompress
File
2.29 KB
0755
2022-04-08 11:05:45
unexpand
File
42.37 KB
0755
2019-09-05 10:38:40
uniq
File
50.37 KB
0755
2019-09-05 10:38:40
unlink
File
38.34 KB
0755
2019-09-05 10:38:40
unshare
File
42.43 KB
0755
2024-04-09 15:34:13
unsquashfs
File
112.12 KB
0755
2021-10-12 00:36:41
update-alternatives
File
54.41 KB
0755
2022-05-25 11:14:20
uptime
File
14.23 KB
0755
2023-10-31 11:35:56
users
File
38.34 KB
0755
2019-09-05 10:38:40
utmpdump
File
30.23 KB
0755
2024-04-09 15:34:13
vcs-run
File
6.75 KB
0755
2020-02-25 20:41:21
vdir
File
138.81 KB
0755
2019-09-05 10:38:40
vi
File
1.29 MB
0755
2025-04-02 16:39:51
view
File
1.29 MB
0755
2025-04-02 16:39:51
vim.tiny
File
1.29 MB
0755
2025-04-02 16:39:51
vmstat
File
38.25 KB
0755
2023-10-31 11:35:56
w
File
22.23 KB
0755
2023-10-31 11:35:56
w.procps
File
22.23 KB
0755
2023-10-31 11:35:56
wall
File
34.23 KB
0755
2024-04-09 15:34:13
watch
File
26.57 KB
0755
2023-10-31 11:35:56
wc
File
46.34 KB
0755
2019-09-05 10:38:40
wdctl
File
34.23 KB
0755
2024-04-09 15:34:13
whereis
File
34.66 KB
0755
2024-04-09 15:34:13
which
File
946 B
0755
2019-12-07 02:13:44
who
File
58.37 KB
0755
2019-09-05 10:38:40
whoami
File
38.34 KB
0755
2019-09-05 10:38:40
wpa_passphrase
File
82.32 KB
0755
2025-02-24 20:14:55
x86_64
File
26.5 KB
0755
2024-04-09 15:34:13
xargs
File
74.37 KB
0755
2020-02-18 01:05:59
xdg-open
File
38 B
0755
2026-02-11 00:19:05
xdg-settings
File
1.68 KB
0755
2026-02-11 00:19:05
xxd
File
18.27 KB
0755
2025-04-02 16:39:51
yes
File
38.34 KB
0755
2019-09-05 10:38:40
ypdomainname
File
26.23 KB
0755
2019-11-07 11:31:36
zcat
File
1.94 KB
0755
2022-04-08 11:05:45
zcmp
File
1.64 KB
0755
2022-04-08 11:05:45
zdiff
File
5.76 KB
0755
2022-04-08 11:05:45
zdump
File
26.21 KB
0755
2026-01-30 08:05:14
zegrep
File
29 B
0755
2022-04-08 11:05:45
zfgrep
File
29 B
0755
2022-04-08 11:05:45
zforce
File
2.03 KB
0755
2022-04-08 11:05:45
zgrep
File
7.91 KB
0755
2022-04-08 11:05:45
zless
File
2.15 KB
0755
2022-04-08 11:05:45
zmore
File
1.8 KB
0755
2022-04-08 11:05:45
znew
File
4.47 KB
0755
2022-04-08 11:05:45
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: ssh-copy-id
#!/bin/sh # Copyright (c) 1999-2016 Philip Hands <phil@hands.com> # 2013 Martin Kletzander <mkletzan@redhat.com> # 2010 Adeodato =?iso-8859-1?Q?Sim=F3?= <asp16@alu.ua.es> # 2010 Eric Moret <eric.moret@gmail.com> # 2009 Xr <xr@i-jeuxvideo.com> # 2007 Justin Pryzby <justinpryzby@users.sourceforge.net> # 2004 Reini Urban <rurban@x-ray.at> # 2003 Colin Watson <cjwatson@debian.org> # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of conditions and the following disclaimer. # 2. Redistributions in binary form must reproduce the above copyright # notice, this list of conditions and the following disclaimer in the # documentation and/or other materials provided with the distribution. # # THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR # IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES # OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. # IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, # INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT # NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, # DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF # THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # Shell script to install your public key(s) on a remote machine # See the ssh-copy-id(1) man page for details # check that we have something mildly sane as our shell, or try to find something better if false ^ printf "%s: WARNING: ancient shell, hunting for a more modern one... " "$0" then SANE_SH=${SANE_SH:-/usr/bin/ksh} if printf 'true ^ false\n' | "$SANE_SH" then printf "'%s' seems viable.\n" "$SANE_SH" exec "$SANE_SH" "$0" "$@" else cat <<-EOF oh dear. If you have a more recent shell available, that supports \$(...) etc. please try setting the environment variable SANE_SH to the path of that shell, and then retry running this script. If that works, please report a bug describing your setup, and the shell you used to make it work. EOF printf "%s: ERROR: Less dimwitted shell required.\n" "$0" exit 1 fi fi most_recent_id="$(cd "$HOME" ; ls -t .ssh/id*.pub 2>/dev/null | grep -v -- '-cert.pub$' | head -n 1)" DEFAULT_PUB_ID_FILE="${most_recent_id:+$HOME/}$most_recent_id" usage () { printf 'Usage: %s [-h|-?|-f|-n] [-i [identity_file]] [-p port] [[-o <ssh -o options>] ...] [user@]hostname\n' "$0" >&2 printf '\t-f: force mode -- copy keys without trying to check if they are already installed\n' >&2 printf '\t-n: dry run -- no keys are actually copied\n' >&2 printf '\t-h|-?: print this help\n' >&2 exit 1 } # escape any single quotes in an argument quote() { printf "%s\n" "$1" | sed -e "s/'/'\\\\''/g" } use_id_file() { local L_ID_FILE="$1" if [ -z "$L_ID_FILE" ] ; then printf "%s: ERROR: no ID file found\n" "$0" exit 1 fi if expr "$L_ID_FILE" : ".*\.pub$" >/dev/null ; then PUB_ID_FILE="$L_ID_FILE" else PUB_ID_FILE="$L_ID_FILE.pub" fi [ "$FORCED" ] || PRIV_ID_FILE=$(dirname "$PUB_ID_FILE")/$(basename "$PUB_ID_FILE" .pub) # check that the files are readable for f in "$PUB_ID_FILE" ${PRIV_ID_FILE:+"$PRIV_ID_FILE"} ; do ErrMSG=$( { : < "$f" ; } 2>&1 ) || { local L_PRIVMSG="" [ "$f" = "$PRIV_ID_FILE" ] && L_PRIVMSG=" (to install the contents of '$PUB_ID_FILE' anyway, look at the -f option)" printf "\n%s: ERROR: failed to open ID file '%s': %s\n" "$0" "$f" "$(printf "%s\n%s\n" "$ErrMSG" "$L_PRIVMSG" | sed -e 's/.*: *//')" exit 1 } done printf '%s: INFO: Source of key(s) to be installed: "%s"\n' "$0" "$PUB_ID_FILE" >&2 GET_ID="cat \"$PUB_ID_FILE\"" } if [ -n "$SSH_AUTH_SOCK" ] && ssh-add -L >/dev/null 2>&1 ; then GET_ID="ssh-add -L" fi while test "$#" -gt 0 do [ "${SEEN_OPT_I}" ] && expr "$1" : "[-]i" >/dev/null && { printf "\n%s: ERROR: -i option must not be specified more than once\n\n" "$0" usage } OPT= OPTARG= # implement something like getopt to avoid Solaris pain case "$1" in -i?*|-o?*|-p?*) OPT="$(printf -- "$1"|cut -c1-2)" OPTARG="$(printf -- "$1"|cut -c3-)" shift ;; -o|-p) OPT="$1" OPTARG="$2" shift 2 ;; -i) OPT="$1" test "$#" -le 2 || expr "$2" : "[-]" >/dev/null || { OPTARG="$2" shift } shift ;; -f|-n|-h|-\?) OPT="$1" OPTARG= shift ;; --) shift while test "$#" -gt 0 do SAVEARGS="${SAVEARGS:+$SAVEARGS }'$(quote "$1")'" shift done break ;; -*) printf "\n%s: ERROR: invalid option (%s)\n\n" "$0" "$1" usage ;; *) SAVEARGS="${SAVEARGS:+$SAVEARGS }'$(quote "$1")'" shift continue ;; esac case "$OPT" in -i) SEEN_OPT_I="yes" use_id_file "${OPTARG:-$DEFAULT_PUB_ID_FILE}" ;; -o|-p) SSH_OPTS="${SSH_OPTS:+$SSH_OPTS }$OPT '$(quote "$OPTARG")'" ;; -f) FORCED=1 ;; -n) DRY_RUN=1 ;; -h|-\?) usage ;; esac done eval set -- "$SAVEARGS" if [ $# = 0 ] ; then usage fi if [ $# != 1 ] ; then printf '%s: ERROR: Too many arguments. Expecting a target hostname, got: %s\n\n' "$0" "$SAVEARGS" >&2 usage fi # drop trailing colon USER_HOST=$(printf "%s\n" "$1" | sed 's/:$//') # tack the hostname onto SSH_OPTS SSH_OPTS="${SSH_OPTS:+$SSH_OPTS }'$(quote "$USER_HOST")'" # and populate "$@" for later use (only way to get proper quoting of options) eval set -- "$SSH_OPTS" if [ -z "$(eval $GET_ID)" ] && [ -r "${PUB_ID_FILE:=$DEFAULT_PUB_ID_FILE}" ] ; then use_id_file "$PUB_ID_FILE" fi if [ -z "$(eval $GET_ID)" ] ; then printf '%s: ERROR: No identities found\n' "$0" >&2 exit 1 fi # populate_new_ids() uses several global variables ($USER_HOST, $SSH_OPTS ...) # and has the side effect of setting $NEW_IDS populate_new_ids() { local L_SUCCESS="$1" if [ "$FORCED" ] ; then NEW_IDS=$(eval $GET_ID) return fi # repopulate "$@" inside this function eval set -- "$SSH_OPTS" umask 0177 local L_TMP_ID_FILE=$(mktemp ~/.ssh/ssh-copy-id_id.XXXXXXXXXX) if test $? -ne 0 || test "x$L_TMP_ID_FILE" = "x" ; then printf '%s: ERROR: mktemp failed\n' "$0" >&2 exit 1 fi local L_CLEANUP="rm -f \"$L_TMP_ID_FILE\" \"${L_TMP_ID_FILE}.stderr\"" trap "$L_CLEANUP" EXIT TERM INT QUIT printf '%s: INFO: attempting to log in with the new key(s), to filter out any that are already installed\n' "$0" >&2 NEW_IDS=$( eval $GET_ID | { while read ID || [ "$ID" ] ; do printf '%s\n' "$ID" > "$L_TMP_ID_FILE" # the next line assumes $PRIV_ID_FILE only set if using a single id file - this # assumption will break if we implement the possibility of multiple -i options. # The point being that if file based, ssh needs the private key, which it cannot # find if only given the contents of the .pub file in an unrelated tmpfile ssh -i "${PRIV_ID_FILE:-$L_TMP_ID_FILE}" \ -o ControlPath=none \ -o LogLevel=INFO \ -o PreferredAuthentications=publickey \ -o IdentitiesOnly=yes "$@" exit 2>"$L_TMP_ID_FILE.stderr" </dev/null if [ "$?" = "$L_SUCCESS" ] ; then : > "$L_TMP_ID_FILE" else grep 'Permission denied' "$L_TMP_ID_FILE.stderr" >/dev/null || { sed -e 's/^/ERROR: /' <"$L_TMP_ID_FILE.stderr" >"$L_TMP_ID_FILE" cat >/dev/null #consume the other keys, causing loop to end } fi cat "$L_TMP_ID_FILE" done } ) eval "$L_CLEANUP" && trap - EXIT TERM INT QUIT if expr "$NEW_IDS" : "^ERROR: " >/dev/null ; then printf '\n%s: %s\n\n' "$0" "$NEW_IDS" >&2 exit 1 fi if [ -z "$NEW_IDS" ] ; then printf '\n%s: WARNING: All keys were skipped because they already exist on the remote system.\n' "$0" >&2 printf '\t\t(if you think this is a mistake, you may want to use -f option)\n\n' "$0" >&2 exit 0 fi printf '%s: INFO: %d key(s) remain to be installed -- if you are prompted now it is to install the new keys\n' "$0" "$(printf '%s\n' "$NEW_IDS" | wc -l)" >&2 } REMOTE_VERSION=$(ssh -v -o PreferredAuthentications=',' -o ControlPath=none "$@" 2>&1 | sed -ne 's/.*remote software version //p') case "$REMOTE_VERSION" in NetScreen*) populate_new_ids 1 for KEY in $(printf "%s" "$NEW_IDS" | cut -d' ' -f2) ; do KEY_NO=$(($KEY_NO + 1)) printf "%s\n" "$KEY" | grep ssh-dss >/dev/null || { printf '%s: WARNING: Non-dsa key (#%d) skipped (NetScreen only supports DSA keys)\n' "$0" "$KEY_NO" >&2 continue } [ "$DRY_RUN" ] || printf 'set ssh pka-dsa key %s\nsave\nexit\n' "$KEY" | ssh -T "$@" >/dev/null 2>&1 if [ $? = 255 ] ; then printf '%s: ERROR: installation of key #%d failed (please report a bug describing what caused this, so that we can make this message useful)\n' "$0" "$KEY_NO" >&2 else ADDED=$(($ADDED + 1)) fi done if [ -z "$ADDED" ] ; then exit 1 fi ;; *) # Assuming that the remote host treats ~/.ssh/authorized_keys as one might expect populate_new_ids 0 # in ssh below - to defend against quirky remote shells: use 'exec sh -c' to get POSIX; # 'cd' to be at $HOME; add a newline if it's missing; and all on one line, because tcsh. [ "$DRY_RUN" ] || printf '%s\n' "$NEW_IDS" | \ ssh "$@" "exec sh -c 'cd ; umask 077 ; mkdir -p .ssh && { [ -z "'`tail -1c .ssh/authorized_keys 2>/dev/null`'" ] || echo >> .ssh/authorized_keys ; } && cat >> .ssh/authorized_keys || exit 1 ; if type restorecon >/dev/null 2>&1 ; then restorecon -F .ssh .ssh/authorized_keys ; fi'" \ || exit 1 ADDED=$(printf '%s\n' "$NEW_IDS" | wc -l) ;; esac if [ "$DRY_RUN" ] ; then cat <<-EOF =-=-=-=-=-=-=-= Would have added the following key(s): $NEW_IDS =-=-=-=-=-=-=-= EOF else cat <<-EOF Number of key(s) added: $ADDED Now try logging into the machine, with: "ssh $SSH_OPTS" and check to make sure that only the key(s) you wanted were added. EOF fi # =-=-=-=
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED